#!/usr/bin/env python3

from math import *
import random
import sys

# number of Cl atoms
N=5

for i in range(N):
    for j in range(N):
        for k in range(N):
            if ((i+j+k)%2==0):
                color=1
                size=1
            else:
                color=0
                size=0.5
            print("'++' u", end=" ")
            print("("+str(1.5*i)+"+("+str(size)+")*cos($1)*sin($2))", end=":")
            print("("+str(1.5*j)+"+("+str(size)+")*sin($1)*sin($2))", end=":")
            print("("+str(1.5*k)+"+("+str(size)+")*cos($2))", end=":")
            print("("+str(color)+")", end=" ")
            print("with pm3d", end="")
            if i<N**3-1:
                print(", \\")
